/*
 *
 * This program is written by
 * Vincent Guerin
 * and Ludovic Rousseau <ludovic.rousseau@gemplus.com>
 *
 * Mon Nov  6 18:03:28 CET 2000
 *
 */

/*
 * Copyright  2000 Gemplus
 * Av. du Pic de Bertagne - Parc d'Activits de Gmenos
 * BP 100 - 13881 Gmenos CEDEX
 * 
 * Everyone is allowed to redistribute and use this source  (source
 * code)  and binary (object code),  with or  without modification,
 * under some conditions:
 * 
 *  - Everyone  must  retain  and/or  reproduce the above copyright
 *    notice,  and the below  disclaimer of warranty and limitation
 *    of liability  for redistribution and use of these source code
 *    and object code.
 * 
 *  - Everyone  must  ask a  specific prior written permission from
 *    Gemplus to use the name of Gemplus.
 * 
 * DISCLAIMER OF WARRANTY
 * 
 * THIS CODE IS PROVIDED "AS IS",  WITHOUT ANY WARRANTY OF ANY KIND
 * (INCLUDING,  BUT  NOT  LIMITED  TO,  THE IMPLIED  WARRANTIES  OF
 * MERCHANTABILITY  AND FITNESS FOR  A  PARTICULAR PURPOSE)  EITHER
 * EXPRESS OR IMPLIED.  GEMPLUS DOES NOT WARRANT THAT THE FUNCTIONS
 * CONTAINED  IN THIS SOFTWARE WILL MEET THE USER'S REQUIREMENTS OR
 * THAT THE OPERATION OF IT WILL BE UNINTERRUPTED OR ERROR-FREE. NO
 * USE  OF  ANY  CODE  IS  AUTHORIZED  HEREUNDER EXCEPT UNDER  THIS
 * DISCLAIMER.
 * 
 * LIMITATION OF LIABILITY
 * 
 * GEMPLUS SHALL NOT BE LIABLE FOR INFRINGEMENTS OF  THIRD  PARTIES
 * RIGHTS. IN NO EVENTS, UNLESS REQUIRED BY APPLICABLE  LAW,  SHALL
 * GEMPLUS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER  INCLUDING,
 * WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,
 * COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER DAMAGES OR
 * LOSSES, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. ALSO,
 * GEMPLUS IS  UNDER NO  OBLIGATION TO MAINTAIN,  CORRECT,  UPDATE,
 * CHANGE, MODIFY, OR OTHERWISE SUPPORT THIS SOFTWARE.
 */

#include <gtk/gtk.h>

///////////////////////////////////////////////////////////////////// 
// See callbacks.c for details on these callbacks handle functions //
/////////////////////////////////////////////////////////////////////

void on_button_format_clicked(GtkButton * button, gpointer user_data);

void on_button_change_pin_clicked(GtkButton * button, gpointer user_data);

void on_button_create_user_clicked(GtkButton * button, gpointer user_data);

void on_button_delete_user_clicked(GtkButton * button, gpointer user_data);

void on_button_verify_clicked(GtkButton * button, gpointer user_data);

void on_button_update_clicked(GtkButton * button, gpointer user_data);

void on_button_quit_clicked(GtkButton * button, gpointer user_data);

void on_button_create_cert_card_clicked(GtkButton * button,
	gpointer user_data);

void on_button_install_cert_key_clicked(GtkButton * button,
	gpointer user_data);

void on_button_firstWindow_ok_clicked(GtkButton * button, gpointer user_data);

void on_button_firstWindow_cancel_clicked(GtkButton * button,
	gpointer user_data);

void on_window_dialog_ok_clicked(GtkButton * button, gpointer user_data);

void on_window_choice_button1_clicked_for_create_user(GtkButton * button,
	gpointer user_data);

void on_window_choice_button2_clicked_for_create_user(GtkButton * button,
	gpointer user_data);

void on_window_choice_button1_clicked_for_new_db(GtkButton * button,
	gpointer user_data);

void on_window_choice_button2_clicked_for_new_db(GtkButton * button,
	gpointer user_data);

void on_window_choice_button1_clicked_for_create_next(GtkButton * button,
	gpointer user_data);

void on_window_choice_button2_clicked_for_create_next(GtkButton * button,
	gpointer user_data);

void on_master1_switch_page(GtkButton * button, gpointer user_data);

void on_clist1_selection_made(GtkWidget * clist, gint row, gint column,
	GdkEventButton * event, gpointer data);
